#include "DFSGraphTraversal.h"
#include "DFSWalker.h"

namespace X3DTK {

DFSGraphTraversal::DFSGraphTraversal()
: GraphTraversal()
{
  visitor = new Visitor();
  walker = new DFSWalker();
  walker->setVisitor(visitor);
}

DFSGraphTraversal::~DFSGraphTraversal()
{
  delete visitor;
  delete walker;
}

}
