TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dnodes

VPATH = componentCreators

HEADERS = X3D_CreationFunction.h \
          X3D_X3DComponentCreator.h \
          X3D_Creator.h \
          X3D_X3DXmlLoader.h \
          X3DLoader.h \
          X3D_Loader.h \
          X3D_CoreCreator.h \
          X3D_Geometry3DCreator.h \
          X3D_GroupingCreator.h \
          X3D_InterpolationCreator.h \
          X3D_LightingCreator.h \
          X3D_NURBSCreator.h \
          X3D_RenderingCreator.h \
          X3D_ShapeCreator.h \
          X3D_TexturingCreator.h \
          X3D_NetworkingCreator.h \
          X3D_NavigationCreator.h


SOURCES = X3D_CreationFunction.cpp \
          X3D_X3DComponentCreator.cpp \
          X3D_Creator.cpp \
          X3DLoader.cpp \
          X3D_X3DXmlLoader.cpp \          
          X3D_Loader.cpp \
          X3D_CoreCreator.cpp \
          X3D_Geometry3DCreator.cpp \
          X3D_GroupingCreator.cpp \
          X3D_InterpolationCreator.cpp \
          X3D_LightingCreator.cpp \
          X3D_NURBSCreator.cpp \
          X3D_RenderingCreator.cpp \
          X3D_ShapeCreator.cpp \
          X3D_TexturingCreator.cpp \
          X3D_NetworkingCreator.cpp \
          X3D_NavigationCreator.cpp

include(../X3DToolKit.pri)

contains(DEFINES, XERCES) {
  HEADERS += X3D_XercesLoader.h
  SOURCES += X3D_XercesLoader.cpp
  HEADERS += XercesFileElement.h 
  SOURCES += XercesFileElement.cpp 
}

contains(DEFINES, LIBXML) {
  HEADERS += X3D_libXMLLoader.h
  SOURCES += X3D_libXMLLoader.cpp
  HEADERS += libXMLFileElement.h 
  SOURCES += libXMLFileElement.cpp 
}

contains(DEFINES, QT) {
  HEADERS += X3D_QLoader.h
  SOURCES += X3D_QLoader.cpp
  HEADERS += QFileElement.h
  SOURCES += QFileElement.cpp 
}

INCLUDEPATH = ../../include/X3DTK \
              ../../include/X3DTK/private \
              /usr/include/libxml2
              
              
DESTDIR = ../../lib/static
OBJECTS_DIR = ../../obj              
